### Signal

# Atk Text::text-insert

#### Declaration

    void
    text_insert (
      AtkText* self,
      gint arg1,
      gint arg2,
      gchar* arg3,
      gpointer user_data
    )

#### Description [src]

The “text-insert” signal is emitted when a new text is inserted. If the signal was not triggered by the user (e.g. typing or pasting text), the “system” detail should be included.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`arg1`

  Type: `gint`

  The position (character offset) of the insertion.

`arg2`

  Type: `gint`

  The length (in characters) of text inserted.

`arg3`

  Type: `gchar*`

  The new text inserted.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.